For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
      • Overview
      • List Projects
      • Get Project
      • Create Project
      • Update Project
      • Delete Project
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
Projects & ClipsProjects

Create Project

Was this page helpful?
Previous

Update Project

Next
Built with

POST https://app.resemble.ai/api/v2/projects

FieldTypeRequiredNotes
namestring✅Project name (max 256 characters).
descriptionstring❌Project description (max 1024 characters).
is_collaborativeboolean❌Whether project is collaborative.
is_archivedboolean❌Whether project is archived.
$curl --request POST 'https://app.resemble.ai/api/v2/projects' \
> -H 'Authorization: Bearer YOUR_API_TOKEN' \
> -H 'Content-Type: application/json' \
> --data '{
> "name": "Podcast Season 2",
> "description": "Episodes and promotional clips",
> "is_collaborative": true,
> "is_archived": false
> }'
1{
2 "success": true,
3 "item": {
4 "uuid": "PROJECT_UUID",
5 "name": "Podcast Season 2",
6 "description": "Episodes and promotional clips",
7 "is_collaborative": true,
8 "is_archived": false,
9 "created_at": "2024-01-15T10:30:00Z",
10 "updated_at": "2024-01-15T10:30:00Z"
11 }
12}